AI Sync

Spam Protected Numbers

Spam Protected Number Helpers

GEThttps://app.rizzdial.com/api/spam-protected-numbers/helpers
Spam Protected Number Helpers
curl --request GET \
  --url https://app.rizzdial.com/api/spam-protected-numbers/helpers \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "types": [
      {
        "label": "All",
        "value": "All"
      },
      {
        "label": "Custom",
        "value": "Custom"
      }
    ],
    "statuses": [
      {
        "label": "All",
        "value": "All"
      },
      {
        "label": "In Progress",
        "value": "In Progress"
      }
    ],
    "min_carriers_to_flag_options": [
      1,
      2,
      3
    ]
  },
  "success": true
}

Spam Protected Number Helpers#

Returns the status and type filters used on the spam protected numbers table, plus the allowed values for minimum carriers to flag.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

curl --request GET \
  --url https://app.rizzdial.com/api/spam-protected-numbers/helpers \
  --header 'Authorization: Bearer {{bearer_token}}'
data.statusesarray

All, In Progress, Flagged, Clean

data.typesarray

All, AI, Rizz, Custom

data.min_carriers_to_flag_optionsarray

1, 2, or 3